Bug 1026342 - Review Request: springframework-retry - Abstraction around retrying failed operations
Review Request: springframework-retry - Abstraction around retrying failed op...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 08:30 EST by Michal Srb
Modified: 2013-11-20 13:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 01:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-11-04 08:30:00 EST
Spec URL: http://msrb.fedorapeople.org/review/springframework-retry.spec
SRPM URL: http://msrb.fedorapeople.org/review/springframework-retry-1.0.3-1.fc21.src.rpm
Description: Spring Retry provides an abstraction around retrying failed operations, 
with an emphasis on declarative control of the process and policy-based 
bahaviour that is easy to extend and customize. For instance, you can 
configure a plain POJO operation to retry if it fails, based on the type 
of exception, and with a fixed or exponential backoff.
Fedora Account System Username: msrb

Note this is package rename review request.
Comment 1 gil cattaneo 2013-11-04 13:18:52 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/gil/1026342-springframework-
     retry/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     springframework-retry-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-retry-1.0.3-1.fc21.noarch.rpm
          springframework-retry-javadoc-1.0.3-1.fc21.noarch.rpm
          springframework-retry-1.0.3-1.fc21.src.rpm
springframework-retry.noarch: W: spelling-error %description -l en_US bahaviour -> behavior
springframework-retry.noarch: W: spelling-error %description -l en_US backoff -> back off, back-off, kickoff
springframework-retry.src: W: spelling-error %description -l en_US bahaviour -> behavior
springframework-retry.src: W: spelling-error %description -l en_US backoff -> back off, back-off, kickoff
springframework-retry.src: W: strange-permission 1.0.3.RELEASE.tar.gz 0444L
springframework-retry.src: W: strange-permission LICENSE-2.0.txt 0444L
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint springframework-retry-javadoc springframework-retry
springframework-retry.noarch: W: spelling-error %description -l en_US bahaviour -> behavior
springframework-retry.noarch: W: spelling-error %description -l en_US backoff -> back off, back-off, kickoff
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
springframework-retry-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

springframework-retry (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(log4j:log4j)
    mvn(org.springframework:spring-context)



Provides
--------
springframework-retry-javadoc:
    springframework-retry-javadoc

springframework-retry:
    mvn(org.springframework.retry:spring-retry)
    spring-retry
    springframework-retry



Source checksums
----------------
https://github.com/spring-projects/spring-retry/archive/1.0.3.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : 03b499683aeaf90321749bf9580ab7be1e02538df1b1425f204d71541d901d6f
  CHECKSUM(SHA256) upstream package : 03b499683aeaf90321749bf9580ab7be1e02538df1b1425f204d71541d901d6f
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1026342 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


non blocker issues:
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
you should do for sub-package javadoc?

approved
Comment 2 gil cattaneo 2013-11-04 13:21:58 EST
please fix these ones
springframework-retry.src: W: strange-permission 1.0.3.RELEASE.tar.gz 0444L
springframework-retry.src: W: strange-permission LICENSE-2.0.txt 0444L
Comment 3 Michal Srb 2013-11-05 02:02:31 EST
> non blocker issues:
> [?]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> you should do for sub-package javadoc?
> 
Good catch, I will fix it. 

> approved

thanks!
Comment 4 Michal Srb 2013-11-05 02:06:13 EST
New Package SCM Request
=======================
Package Name: springframework-retry
Short Description: Abstraction around retrying failed operations
Owners: msrb sochotni mizdebsk msimacek
Branches: f21
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2013-11-05 07:44:49 EST
Git done (by process-git-requests).

No need to request f21, it's currently devel which is automatic.
Comment 6 Michal Srb 2013-11-08 01:17:00 EST
Thanks for the review and the repo. The package is now in Rawhide. Closing.

Note You need to log in before you can comment on or make changes to this bug.